Kerbal Space Program - Bug #4765

No support for 64 bit file system
04/27/2015 09:17 PM - tomato

Status: Not a Bug Start date: 04/27/2015
Severity: Low % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

| have over 3TiB XFS file system that is mostly full with inode64 enabled, that makes the files created to have inodes that have IDs
that don't fit inside 32 bit variables. As a result the game is unable to load any additional data like flags, scenarios, training missions,
etc. (the menus are simply empty).

After | moved the steam library to a small partition, the game works just fine.
Running on Arch Linux (current as of 2015-04-26)

Linux 3.19.3

glibc 2.21

See at https://github.com/virtual-programming/witcher2-linux/issues/106 for a similar issue.

History

#1 - 04/29/2015 03:48 PM - sr

Could you try running the 64bit build of KSP (KSP.x86_64) and see if the problem persists?
Unfortunately, the cause will be an issue with the game engine not KSP itself, so there is little the devs will be able to do here.

#2 - 04/29/2015 03:50 PM - sr
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

#3 - 05/09/2015 01:48 PM - tomato
sr wrote:
Could you try running the 64bit build of KSP (KSP.x86_64) and see if the problem persists?
Unfortunately, the cause will be an issue with the game engine not KSP itself, so there is little the devs will be able to do here.
And the game engine is available to you as binaries, and not compiled together with the game? Compilation with *-D_FILE_OFFSET_BITS=64" is all

that should be needed.

Yes, the 64 bit build does work correctly.
